# MAT-model: Model Classes for Multiple Aspect Trajectory Data Mining \[MAT-Tools Framework\]
---

\[[Publication](#)\] \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\] \[[GitHub](https://github.com/mat-analysis/mat-model)\] \[[PyPi](https://pypi.org/project/mat-model/)\]


The present package offers a tool, to support the user in the task of **modeling multiple aspect trajectories**. It integrates into a unique framework for multiple aspects trajectories and in general for multidimensional sequence data mining methods.

Created on Apr, 2024
Copyright (C) 2023, License GPL Version 3 or superior (see LICENSE file)

![MAT-Model Diagram](https://github.com/mat-analysis/mat-model/blob/f14db6337ccc43861bce1670fee3500eb438e1cb/MAT-Model.png?raw=true) 


### Installation

Install directly from PyPi repository, or, download from github. (python >= 3.7 required)

```bash
    pip install mat-model
```

### Getting Started

On how to use this package, see [MAT-model-Tutorial.ipynb](https://github.com/mat-analysis/mat-model/blob/main/MAT-model-Tutorial.ipynb)

### Citing

If you use `mat-model` please cite the following paper:

 - Portela, T. T.; Machado, V. L.; Renso, C. Unified Approach to Trajectory Data Mining and Multi-Aspect Trajectory Analysis with MAT-Tools Framework. In: SIMPÓSIO BRASILEIRO DE BANCO DE DADOS (SBBD), 39. , 2024, Florianópolis/SC. \[[Bibtex](https://github.com/mat-analysis/mat-tools/blob/main/references/mat-tools.bib)\]

### Collaborate with us

Any contribution is welcome. This is an active project and if you would like to include your code, feel free to fork the project, open an issue and contact us.

Feel free to contribute in any form, such as scientific publications referencing this package, teaching material and workshop videos.

### Related packages

This package is part of _MAT-Tools Framework_ for Multiple Aspect Trajectory Data Mining, check the guide project:

- **[mat-tools](https://github.com/mat-analysis/mat-tools)**: Reference guide for MAT-Tools Framework repositories

### Change Log

This is a package under construction, see [CHANGELOG.md](https://github.com/mat-analysis/mat-model/blob/main/CHANGELOG.md)
